Package com.sap.ai.sdk.orchestration.model

# Class ChatCompletionTokenLogprobTopLogprobsInner

java.lang.Object
com.sap.ai.sdk.orchestration.model.ChatCompletionTokenLogprobTopLogprobsInner

public class ChatCompletionTokenLogprobTopLogprobsInner extends Object
ChatCompletionTokenLogprobTopLogprobsInner

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ChatCompletionTokenLogprobTopLogprobsInner.Builder`
  Builder helper class.
  `static interface`
  `ChatCompletionTokenLogprobTopLogprobsInner.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ChatCompletionTokenLogprobTopLogprobsInner()`
  Default constructor for ChatCompletionTokenLogprobTopLogprobsInner.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChatCompletionTokenLogprobTopLogprobsInner`
  `addBytesItem(Integer bytesItem)`
  Add one bytes instance to this `ChatCompletionTokenLogprobTopLogprobsInner`.
  `ChatCompletionTokenLogprobTopLogprobsInner`
  `bytes(List<Integer> bytes)`
  Set the bytes of this `ChatCompletionTokenLogprobTopLogprobsInner` instance and return the same instance.
  `static ChatCompletionTokenLogprobTopLogprobsInner.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `ChatCompletionTokenLogprobTopLogprobsInner` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `List<Integer>`
  `getBytes()`
  A list of integers representing the UTF-8 bytes representation of the token.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ChatCompletionTokenLogprobTopLogprobsInner`.
  `Float`
  `getLogprob()`
  The log probability of this token.
  `String`
  `getToken()`
  The token.
  `int`
  `hashCode()`
  `ChatCompletionTokenLogprobTopLogprobsInner`
  `logprob(Float logprob)`
  Set the logprob of this `ChatCompletionTokenLogprobTopLogprobsInner` instance and return the same instance.
  `void`
  `setBytes(List<Integer> bytes)`
  Set the bytes of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
  `void`
  `setLogprob(Float logprob)`
  Set the logprob of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
  `void`
  `setToken(String token)`
  Set the token of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
  `ChatCompletionTokenLogprobTopLogprobsInner`
  `token(String token)`
  Set the token of this `ChatCompletionTokenLogprobTopLogprobsInner` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ChatCompletionTokenLogprobTopLogprobsInner` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChatCompletionTokenLogprobTopLogprobsInner

    protected ChatCompletionTokenLogprobTopLogprobsInner()
    Default constructor for ChatCompletionTokenLogprobTopLogprobsInner.

- ## Method Details

  - ### token

    @Nonnull public ChatCompletionTokenLogprobTopLogprobsInner token(@Nonnull String token)
    Set the token of this `ChatCompletionTokenLogprobTopLogprobsInner` instance and return the same instance.
    Parameters:
      `token` - The token.
    Returns:
      The same instance of this `ChatCompletionTokenLogprobTopLogprobsInner` class

  - ### getToken

    @Nonnull public String getToken()
    The token.
    Returns:
      token The token of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.

  - ### setToken

    public void setToken(@Nonnull String token)
    Set the token of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
    Parameters:
      `token` - The token.

  - ### logprob

    @Nonnull public ChatCompletionTokenLogprobTopLogprobsInner logprob(@Nonnull Float logprob)
    Set the logprob of this `ChatCompletionTokenLogprobTopLogprobsInner` instance and return the same instance.
    Parameters:
      `logprob` - The log probability of this token.
    Returns:
      The same instance of this `ChatCompletionTokenLogprobTopLogprobsInner` class

  - ### getLogprob

    @Nonnull public Float getLogprob()
    The log probability of this token.
    Returns:
      logprob The logprob of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.

  - ### setLogprob

    public void setLogprob(@Nonnull Float logprob)
    Set the logprob of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
    Parameters:
      `logprob` - The log probability of this token.

  - ### bytes

    @Nonnull public ChatCompletionTokenLogprobTopLogprobsInner bytes(@Nullable List<Integer> bytes)
    Set the bytes of this `ChatCompletionTokenLogprobTopLogprobsInner` instance and return the same instance.
    Parameters:
      `bytes` - A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are multi-byte.
    Returns:
      The same instance of this `ChatCompletionTokenLogprobTopLogprobsInner` class

  - ### addBytesItem

    @Nonnull public ChatCompletionTokenLogprobTopLogprobsInner addBytesItem(@Nonnull Integer bytesItem)
    Add one bytes instance to this `ChatCompletionTokenLogprobTopLogprobsInner`.
    Parameters:
      `bytesItem` - The bytes that should be added
    Returns:
      The same instance of type `ChatCompletionTokenLogprobTopLogprobsInner`

  - ### getBytes

    @Nonnull public List<Integer> getBytes()
    A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are multi-byte.
    Returns:
      bytes The bytes of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.

  - ### setBytes

    public void setBytes(@Nullable List<Integer> bytes)
    Set the bytes of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
    Parameters:
      `bytes` - A list of integers representing the UTF-8 bytes representation of the token. Useful in instances where characters are multi-byte.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ChatCompletionTokenLogprobTopLogprobsInner`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ChatCompletionTokenLogprobTopLogprobsInner` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ChatCompletionTokenLogprobTopLogprobsInner` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ChatCompletionTokenLogprobTopLogprobsInner` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static ChatCompletionTokenLogprobTopLogprobsInner.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `ChatCompletionTokenLogprobTopLogprobsInner` instance with all required arguments.